summaryrefslogtreecommitdiffstats
path: root/audio/kid3
diff options
context:
space:
mode:
author Michales Michaloudes <korgie@gmail.com>2010-05-13 00:57:27 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:57:27 +0200
commit49b333375d124a89d49995a7a624fd8cbe9aa41b (patch)
tree487ed99735065956b6fa70fb25fb27c0c622b9d7 /audio/kid3
parentf6000d97c08291c9f9d031a06589a3f6824c0c18 (diff)
downloadslackbuilds-49b333375d124a89d49995a7a624fd8cbe9aa41b.tar.gz
slackbuilds-49b333375d124a89d49995a7a624fd8cbe9aa41b.tar.xz
audio/kid3: Added to 13.0 repository
Diffstat (limited to 'audio/kid3')
-rw-r--r--audio/kid3/README6
-rw-r--r--audio/kid3/doinst.sh10
-rw-r--r--audio/kid3/kid3.SlackBuild84
-rw-r--r--audio/kid3/kid3.info10
-rw-r--r--audio/kid3/slack-desc19
5 files changed, 129 insertions, 0 deletions
diff --git a/audio/kid3/README b/audio/kid3/README
new file mode 100644
index 0000000000..d5332312b7
--- /dev/null
+++ b/audio/kid3/README
@@ -0,0 +1,6 @@
+If you want to easily tag multiple MP3, Ogg/Vorbis, FLAC, MPC, MP4/AAC, MP2,
+Speex, TrueAudio and WavPack files (e.g. full albums) without typing the same
+information again and again and have control over both ID3v1 and ID3v2 tags,
+then Kid3 is the program you are looking for.
+
+This requires libmp4v2, libofa, id3lib, and libtunepimp.
diff --git a/audio/kid3/doinst.sh b/audio/kid3/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/audio/kid3/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/audio/kid3/kid3.SlackBuild b/audio/kid3/kid3.SlackBuild
new file mode 100644
index 0000000000..8e848b451b
--- /dev/null
+++ b/audio/kid3/kid3.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+# Slackware build script for <kid3>
+# Written by Michales Michaloudes korgie@gmail.com
+
+PRGNAM=kid3
+VERSION=${VERSION:-1.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+MP4TAG=${MP4TAG:-yes}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ $MP4TAG = "no" ]; then
+ MP4TAG="-DWITH_MP4V2=no"
+else
+ MP4TAG=""
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cmake . \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DSYSCONF_INSTALL_DIR=/etc \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DINCLUDE_INSTALL_DIR=/usr/include \
+ -DLIB_SUFFIX:STRING=${LIBDIRSUFFIX} \
+ -DLIB_INSTALL_DIR=/usr/lib${LIBDIRSUFFIX} \
+ -DBUILD_SHARED_LIBS:BOOL=ON \
+ $MP4TAG
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/kid3/kid3.info b/audio/kid3/kid3.info
new file mode 100644
index 0000000000..25f128d18d
--- /dev/null
+++ b/audio/kid3/kid3.info
@@ -0,0 +1,10 @@
+PRGNAM="kid3"
+VERSION="1.3"
+HOMEPAGE="http://kid3.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/kid3/kid3-1.3.tar.gz"
+MD5SUM="414ad875ecee73e39699a07a69284f19"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
+APPROVED="rworkman"
diff --git a/audio/kid3/slack-desc b/audio/kid3/slack-desc
new file mode 100644
index 0000000000..4417a0ef38
--- /dev/null
+++ b/audio/kid3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kid3: Kid3 (KDE4 ID3 Tagger)
+kid3:
+kid3: If you want to easily tag multiple MP3 files (e.g. full albums)
+kid3: without typing the same information again and again and have control
+kid3: over both ID3v1 and ID3v2 tags, then Kid3 is the program you are
+kid3: looking for.
+kid3:
+kid3:
+kid3:
+kid3:
+kid3: